Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/GUI

Affected QGIS version:3.4.0 Regression?: Yes

Operating System: Easy fix?: Yes

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 28873

Description

The fields are populated with the field names from the selected layer or table. But if a file path is used, since the layer or table is not

loaded, the fields are not populated, and cannot be selected.

Solutions:

1) allow typing the field names in this case, not selecting from combobox

2) reading the selected file if possible and populate the combo boxes

3) do not allow files to be selected in this situation, only loaded layers or tables

up to qgis 2.18, 3) was the way this was implemented

Setting this as high priority, since it was ok in QGIS 2.x

Associated revisions

Revision f2044528 - 2019-01-23 08:02 AM - Victor Olaya

[processing] hide 'select file' button for vector layers when there are dependent params

fixes #21055

History

#1 - 2019-01-21 10:37 AM - Nyall Dawson

- Status changed from Open to Feedback

Can you elaborate? It works ok for me. If a file path is selected the layer is transparently loaded in the background and used to populate the fields list.

#2 - 2019-01-23 08:03 AM - Victor Olaya

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Applied in changeset commit:qgis|f2044528951bbb09a70b9c696d79d8cd5b756214.

#3 - 2019-01-30 08:41 AM - Victor Olaya
added a warning message when the backgorund layer cannot be loaded, which was the real problem here

https://github.com/qgis/QGIS/commit/6eaa511eed775ce36328a3e1465c32dfb82507aa

#4 - 2019-01-30 11:20 AM - Giovanni Manghi

- Resolution set to fixed/implemented
